Name:          maven-toolchains-plugin
Version:       1.0
Release:       %mkrel 2
Summary:       Maven Toolchains Plugin
Group:         Development/Java
License:       ASL 2.0
Url:           http://maven.apache.org/plugins/maven-toolchains-plugin/
# svn export http://svn.apache.org/repos/asf/maven/plugins/tags/maven-toolchains-plugin-1.0
# tar czf maven-toolchains-plugin-1.0-src-svn.tar.gz maven-toolchains-plugin-1.0
Source0:       maven-toolchains-plugin-1.0-src-svn.tar.gz
Patch0:        maven-toolchains-plugin-1.0-no_maven-checkstyle-plugin.patch
BuildRequires: java-devel 
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: maven
BuildRequires: maven-antrun-plugin
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
Requires:      jpackage-utils
BuildArch:     noarch

%description
The Toolchains Plugins allows to share configuration across plugins.
For example to make sure the plugins like compiler, surefire, javadoc,
webstart etc. all use the same JDK for execution. Similarly to maven-enforcer-plugin,
it allows to control environmental constraints in the build.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release}
Requires:      jpackage-utils

%description javadoc
Maven Toolchains Plugin.

This package contains javadoc for %{name}

%prep
%setup -q -n maven-toolchains-plugin-%{version}
#% pa tch0 -p0

%build

mvn-rpmbuild \
  -Dmaven.test.skip=true \
  install javadoc:javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}

install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap org.apache.maven.plugins %{name} %{version} JPP %{name}

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/ %{buildroot}%{_javadocdir}/%{name}

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root)
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}



%changelog

* Sat Nov 05 2011 gil <gil> 1.0-2.mga2
+ Revision: 163085
- add maven-checkstyle-plugin support, removed patch0
- imported package maven-toolchains-plugin


* Sun Jun 19 2011 gil <gil> 1.0-0.%%mkrel
- initial rpm